package math.polynomials;

import math.utils.Util;

public class Poly16 {
    public static void main(String[] args) {
        Jdm f5 = new Jdm(1, "x", 5);
        Jdm f6 = new Jdm(1, "x", 4);
        Jdm f7 = new Jdm(-3, "x", 1);
        Jdm f8 = new Jdm(1, "x", 0);
        Jdm[] ah = {f5, f6, f7, f8};
        Poly polyh = new Poly(ah);
        Util.print(polyh);
        Jdm g3 = new Jdm(1, "x", 3);
        Jdm g4 = new Jdm(-1, "x", 1);
        Jdm[] ai = {g3, g4};
        Poly polyi = new Poly(ai);
        Util.print(polyi);
        Poly m = PolyUtil.nwd(polyh, polyi);
        Util.print(m);
    }
}
